# -*- rpm-spec -*-
# $Id: tcl-tix,v 1.3 2003/09/27 12:56:49 lioka Exp $

%define teaname tix
%define major 8.2
Name: tcl-%teaname
Version: %major.0
Release: alt2

Summary: A set of capable widgets for Tk
License: BSD
Group: Development/Tcl
Url: http://tix.sourceforge.net/

Source0: %teaname-%version.tar.bz2

Requires: tk >= 8.4.0-alt1
BuildRequires: python tk-devel >= 8.4.0-alt1
Provides: %teaname = 1:%version-%release
Obsoletes: %teaname

%package demos
Summary: A collection of programs to demonstrate the features of the Tix
Group: Development/Tcl
Requires: %name = %version-%release
Provides: %teaname-demos = 1:%version-%release
Obsoletes: %teaname-demos

%package devel
Summary: Header files and programming manual for Tix
Group: Development/Other
Requires: %name = %version-%release
Provides: %teaname-devel = 1:%version-%release
Obsoletes: %teaname-devel

%description
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

Install the tix package if you want to try out more complicated widgets
for Tk.  You'll also need to have the tcl and tk packages installed.

%description demos
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

This package contains a collection of programs to demonstrate
the features of the Tix widget set.

%description devel
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

This package includes header files and programming manual for Tix.

%prep
%setup -q -n%teaname

%build
cd unix
%__chmod +x configure
%configure --enable-shared --enable-gcc 
%make_build

%install 
%makeinstall -C unix libdir=%buildroot%_tcllibdir \
	TIX_LIBRARY=%buildroot%_tcldatadir/%teaname%major
%__ln_s -f lib%teaname%major.so %buildroot%_tcllibdir/lib%teaname.so
%__install -p -m0644 -D generic/tix.h %buildroot%_includedir/tix.h
%__install -d -m0755 %buildroot%_docdir/%name-%version
%__cp -a docs/{html,FAQ.txt,Release-%version.txt} %buildroot%_docdir/%name-%version
%__cp -a demos %buildroot%_tcldatadir/%teaname%major/
%__cat <<EOF > %buildroot%_tcldatadir/%teaname%major/pkgIndex.tcl
package ifneeded Tix 8.2 [list load [file join \$dir .. .. .. lib tcl lib%teaname%major.so] Tix]
EOF

%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/*.txt
%_tcllibdir/lib%teaname%major.so
%dir %_tcldatadir/%teaname%major
%_tcldatadir/%teaname%major/tclIndex
%_tcldatadir/%teaname%major/*.tcl
%_tcldatadir/%teaname%major/bitmaps
%_tcldatadir/%teaname%major/pref
%_mandir/mann/*

%files demos
%_tcldatadir/%teaname%major/demos

%files devel
%_includedir/*
%_tcllibdir/lib%teaname.so
%dir %_docdir/%name-%version
%_docdir/%name-%version/html

%changelog
* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.2.0-alt2
- rebuilt in new env

* Tue Sep 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.2.0-alt1
- 8.2.0
- rebuilt with tcl 8.4

* Mon Jun 3 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.1.1-alt8
- tixwish dropped
- libpath changed to %_tcllibpath
- src rpm splitted

* Mon Mar 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt7
- fixed encoding file for koi8-u

* Tue Mar 05 2002 Stanislav Ievlev <inger@altlinux.ru> 8.3.4-alt6
- removed all -lieee, 'cause
  fist: Programs can work with -lm and without -lieee
  second: Programs cannot link with lieee library

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt5
- tclx fixes
- fixed tls build with stubs from tcl build dir
- fixed permissions for %_libdir/lib*stub*.a

* Wed Oct 24 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.4-alt4
- Tcl/Tk 8.3.4
- SSL support added (tcl-tls)

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.3.3-alt3
- Removed unnecessary provides and obsoletes.
- Added *_rel macros for subpackages and corrected inter-requires.
- Merged RH patches.

* Sat Jun 16 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt2
- Rearranged files in subpackages: tcl, tcl-devel
- Tk splitted to: tk tk-devel tk-demos
- tclX 8.3.0, splitted to: tclx tclx-devel
- tix 8.1, splitted to: tix tix-devel tix-demos
- itcl 3.2, splitted to: itcl itcl-devel itcl-demos compat-itcl compat-itcl-demos. Huh :)
- tcllib removed to separate package
- Dropped most of changelog entries
- Group fixed

* Tue May 15 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt1
- Tcl/Tk 8.3.3
- tcllib 0.8
- expect 5.32, splitted to subpackages.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 8.3.2-ipl8mdk
- Moved include files and C programming manual to tcl-devel subpackage.
- Fixed out empty manpages.

* Wed Nov 29 2000 AEN <aen@logic.ru> 8.3.2-ipl7mdk
- build for RE
- ps patch from Viktor Wagner
- bad requires patch

